# Retrieve history

Retrieve information on the evolution of a subscription in the 2Checkout system, including details of the initial acquisition and the subsequent renewals and upgrades. Use the **getSubscriptionHistory** method to retrieve details about a subscription.

Subscriptions can be retrieved starting with 5 minutes after their orders are generated in the 2Checkout system.

## Request parameters

| Parameters                | Type/Description                                                                                                                                                                                                                                                                                               |
| ------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **sessionID**             | <p><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <strong>sessionID</strong> into all your requests. 2Checkout throws an exception if the values are incorrect. The <strong>sessionID</strong> expires in <strong>10 minutes</strong>.</p> |
| **subscriptionReference** | <p><strong>Required (string)</strong><br>Unique, system-generated subscription identifier.</p>                                                                                                                                                                                                                 |

## Response parameters

| Parameters                                                                                                                        | Type/Description |
| --------------------------------------------------------------------------------------------------------------------------------- | ---------------- |
| [**SubscriptionHistory**](https://verifone.cloud/docs/2checkout/API-Integration/SOAP_API_6.0/API-Responses/Subscription_history/) | **Object**       |

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$subscriptionReference = '351D8F557E';

try {
    $subscriptionHistory = $client->getSubscriptionHistory($sessionID, $subscriptionReference);
}
catch (SoapFault $e) {
    echo "subscriptionHistory: " . $e->getMessage();
    exit;
}
var_dump("subscriptionHistory", $subscriptionHistory);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/subscription-history/retrieve-history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
